# MacOS keyboard shortcuts

# Table of contents
- [MacOS keyboard shortcuts](#macos-keyboard-shortcuts)
- [Table of contents](#table-of-contents)
  - [Mac Keyboard Modifier keys](#mac-keyboard-modifier-keys)
  - [Cut, copy, paste, and other common shortcuts](#cut-copy-paste-and-other-common-shortcuts)
  - [Sleep, log out, and shut down shortcuts](#sleep-log-out-and-shut-down-shortcuts)
  - [Finder and system shortcuts](#finder-and-system-shortcuts)
  - [Document shortcuts](#document-shortcuts)

## Mac Keyboard Modifier keys
| key  | description    |
| :--- | :------------- |
| ⌘    | ⌘ +  / Cmd     |
| ⌃    | Control / Ctrl |
| ⌥    | ⌥ + s / Alt    |
| ⇧    | Shift          |
| ⇪    | Caps Lock      |
| Fn   | Function key   |

_- On Windows keyboards use the Alt key instead of ⌥ + , and the Windows logo key instead of ⌘ + ._



## Cut, copy, paste, and other common shortcuts

| keys          | description                                                                                                   |
| :------------ | :------------------------------------------------------------------------------------------------------------ |
| ⌘ + x         | Cut the selected item and copy it to the Clipboard                                                            |
| ⌘ + c         | Copy the selected item to the Clipboard. This also works for files in the Finder                              |
| ⌘ + v         | Paste the contents of the Clipboard into the current document or app. This also works for files in the Finder |
| ⌘ + z         | Undo the previous comamnd                                                                                     |
| ⇧ + ⌘ + z     | Redo, reversing the undo command                                                                              |
| ⌘ + a         | Select All items                                                                                              |
| ⌘ + f         | Find items in a document or open a Find window                                                                |
| ⌘ + g         | Find Again: Find the next occurrence of the item previously found                                             |
| ⇧ + ⌘ + G     | Find the previous occurrence                                                                                  |
| ⌘ + h         | Hide the windows of the front app                                                                             |
| ⌥ + ⌘ + h     | View the front app but hide all other apps                                                                    |
| ⌘ + m         | Minimize the front window to the Dock                                                                         |
| ⌥ + ⌘ + m     | Minimize all windows of the front app                                                                         |
| ⌘ + o         | Open the selected item, or open a dialog to select a file to open                                             |
| ⌘ + p         | Print the current document                                                                                    |
| ⌘ + s         | Save the current document                                                                                     |
| ⌘ + t         | Open a new tab                                                                                                |
| ⌘ + w         | Close the front window                                                                                        |
| ⌥ + ⌘ + w     | Close all windows of the app                                                                                  |
| ⌥ + ⌘ + Esc   | Force quit an app                                                                                             |
| ⌘ + Space     | Show or hide the Spotlight search field                                                                       |
| ⌘ + ⌥ + Space | Perform a Spotlight search from a Finder window                                                               |
| ⌃ + ⌘ + Space | Show the Character Viewer, from which you can choose emoji and other symbols                                  |
| ⌃ + ⌘ + f     | Use the app in full screen, if supported by the app                                                           |
| Space         | Use Quick Look to preview the selected item                                                                   |
| ⌘ + Tab       | Switch to the next most recently used app among your open apps                                                |
| ⇧ + ⌘ + 5     | In macOS Mojave or later, take a screenshot or make a screen recording                                        |
| ⇧ + ⌘ + 3     | Take whole display screenshot                                                                                 |
| ⇧ + ⌘ + 4     | Take custom screenshot                                                                                        |
| ⇧ + ⌘ + n     | Create a new folder in the Finder                                                                             |
| ⌘ + ,         | Open preferences for the front app                                                                            |


## Sleep, log out, and shut down shortcuts
_* You might need to press and hold some of these shortcuts for slightly longer than other shortcuts. This helps you to avoid using them unintentionally._

| keys              | description                                                                         |
| :---------------- | :---------------------------------------------------------------------------------- |
| Power button      | Press to turn on your Mac or wake it from sleep                                     |
| Power button      | Press and hold for 1.5 seconds to put your Mac to sleep                             |
| Power button      | Press and continue holding to force your Mac to turn off                            |
| ⌥ + ⌘ + Power     | Put your Mac to sleep                                                               |
| ⌥ + ⌘ + Eject     | Put your Mac to sleep                                                               |
| ⌃ + ⇧ + Power     | Put your displays to sleep                                                          |
| ⌃ + ⇧ + Eject     | Put your displays to sleep                                                          |
| ⌃ + Power         | Display a dialog asking whether you want to restart, sleep, or shut down            |
| ⌃ + Eject         | Display a dialog asking whether you want to restart, sleep, or shut down            |
| ⌃ + ⌘ + Power     | Force your Mac to restart, without prompting to save any open and unsaved documents |
| ⌃ + ⌘ + Eject     | Quit all apps, then restart your Mac                                                |
| ⌃ + ⌥ + ⌘ + Power | Quit all apps, then shut down your Mac                                              |
| ⌃ ⌥ + ⌘ + Eject   | Quit all apps, then shut down your Mac                                              |
| ⌃ + ⌘ + q         | Immediately lock your screen                                                        |
| ⇧ + ⌘ + q         | Log out of your macOS user account. You will be asked to confirm                    |
| ⌥ + ⇧ + ⌘ + q     | Log out immediately without confirming                                              |


## Finder and system shortcuts
| keys                            | description                                                                                |
| :------------------------------ | :----------------------------------------------------------------------------------------- |
| ⌘ + d                           | Duplicate the selected files                                                               |
| ⌘ + e                           | Eject the selected disk or volume                                                          |
| ⌘ + f                           | Start a Spotlight search in the Finder window                                              |
| ⌘ + i                           | Show the Get Info window for a selected file                                               |
| ⌘ + r                           | (1) When an alias is selected in the Finder: show the original file for the selected alias |
| ⌘ + r                           | (2) In some apps, such as Calendar or Safari, refresh or reload the page                   |
| ⌘ + r                           | (3) In Software Update preferences, check for software updates again                       |
| ⇧ + ⌘ + c                       | Open the Computer window                                                                   |
| ⇧ + ⌘ + d                       | Open the desktop folder                                                                    |
| ⇧ + ⌘ + f                       | Open the Recents window, showing all of the files you viewed or changed recently           |
| ⇧ + ⌘ + g                       | Open a Go to Folder window                                                                 |
| ⇧ + ⌘ + h                       | Open the Home folder of the current macOS user account                                     |
| ⇧ + ⌘ + i                       | Open iCloud Drive                                                                          |
| ⇧ + ⌘ + k                       | Open the Network window                                                                    |
| ⌥ + ⌘ + l                       | Open the Downloads folder                                                                  |
| ⇧ + ⌘ + n                       | Create a new folder                                                                        |
| ⇧ + ⌘ + o                       | Open the Documents folder                                                                  |
| ⇧ + ⌘ + p                       | Show or hide the Preview pane in Finder windows                                            |
| ⇧ + ⌘ + r                       | Open the AirDrop window                                                                    |
| ⇧ + ⌘ + t                       | Show or hide the tab bar in Finder windows                                                 |
| ⌃ + ⇧ + ⌘ + t                   | Add selected Finder item to the Dock (OS X Mavericks or later)                             |
| ⇧ + ⌘ + u                       | Open the Utilities folder                                                                  |
| ⌥ + ⌘ + d                       | Show or hide the Dock                                                                      |
| ⌃ + ⌘ + t                       | Add the selected item to the sidebar (OS X Mavericks or later)                             |
| ⌥ + ⌘ + p                       | Hide or show the path bar in Finder windows                                                |
| ⌥ + ⌘ + s                       | Hide or show the Sidebar in Finder windows                                                 |
| ⌘ + /                           | Hide or show the status bar in Finder windows                                              |
| ⌘ + j                           | Show View Options                                                                          |
| ⌘ + k                           | Open the Connect to Server window                                                          |
| ⌃ + ⌘ + a                       | Make an alias of the selected item                                                         |
| ⌘ + n                           | Open a new Finder window                                                                   |
| ⌥ + ⌘ + n                       | Create a new Smart Folder                                                                  |
| ⌘ + t                           | Show or hide the tab bar when a single tab is open in the current Finder window            |
| ⌥ + ⌘ + t                       | Show or hide the toolbar when a single tab is open in the current Finder window            |
| ⌥ + ⌘ + v                       | Move the files in the Clipboard from their original location to the current location       |
| ⌘ + y                           | Use Quick Look to preview the selected files                                               |
| ⌥ + ⌘ + v                       | View a Quick Look slideshow of the selected files                                          |
| ⌘ + 1                           | View the items in the Finder window as icons                                               |
| ⌘ + 2                           | View the items in a Finder window as a list                                                |
| ⌘ + 3                           | View the items in a Finder window in columns                                               |
| ⌘ + 4                           | View the items in a Finder window in a gallery                                             |
| ⌘ + [                           | Go to the previous folder                                                                  |
| ⌘ + ]                           | Go to the next folder                                                                      |
| ⌘ + ↑                           | Open the folder that contains the current folder                                           |
| ⌃ + ⌘ + ↑                       | Open the folder that contains the current folder in a new window                           |
| ⌘ + ↓                           | Open the selected item                                                                     |
| →                               | Open the selected folder. This works only when in list view                                |
| ←                               | Close the selected folder. This works only when in list view                               |
| ⌘ + Delete                      | Move the selected item to the Trash                                                        |
| ⇧ + ⌘ + Delete                  | Empty the Trash                                                                            |
| ⌥ + ⇧ + ⌘ + Delete              | Empty the Trash without confirmation dialog                                                |
| ⌘ + Brightness Down             | Turn video mirroring on or off when your Mac is connected to more than one display         |
| ⌥ + Brightness Up               | Open Displays preferences. This works with either Brightness key                           |
| ⌃ + Brightness Up/Down          | Adjust brightness of your external display, if supported by your display                   |
| ⌥ + ⇧ + Brightness Up/Down      | Adjust display brightness in smaller steps                                                 |
| ⌃ + ⌥ + ⇧ + Brightness Up/Down  | Adjust external display brightness in smaller steps, if supported by display               |
| ⌥ + Mission Control             | Open Mission Control preferences                                                           |
| ⌃ + Mission Control             | Show the desktop                                                                           |
| ⌃ + ↓                           | Show all windows of the front app                                                          |
| ⌥ + Volume Up                   | Open Sound preferences. This works with any of the volume keys                             |
| ⌥ + ⇧ + Volume up/Down          | Adjust the sound volume in smaller steps                                                   |
| ⌥ + Brightness Up               | Open Keyboard preferences. This works with either Keyboard Brightness key                  |
| ⌥ + ⇧ + Brightness Up/Down      | Adjust the keyboard brightness in smaller steps                                            |
| ⌥ + double-clicking             | Open the item in a separate window, then close the original window                         |
| ⌘ + double-clicking             | Open a folder in a separate tab or window                                                  |
| ⌘ + dragging to another volume  | Move the dragged item to the other volume, instead of copying it                           |
| ⌥ + dragging                    | Copy the dragged item. The pointer changes while you drag the item                         |
| ⌥ + ⌘ + while dragging          | Make an alias of the dragged item. The pointer changes while you drag the item             |
| ⌥ + click a disclosure triangle | Open all folders within the selected folder. This works only when in list view             |
| ⌘ + click a window title        | See the folders that contain the current folder                                            |


## Document shortcuts
_*The behavior of these shortcuts may vary with the app you're using_

| keys          | description                                                                                                                        |
| :------------ | :--------------------------------------------------------------------------------------------------------------------------------- |
| ⌘ + b         | Boldface the selected text, or turn boldfacing on or off                                                                           |
| ⌘ + i         | Italicize the selected text, or turn italics on or off                                                                             |
| ⌘ + k         | Add a web link                                                                                                                     |
| ⌘ + u         | Underline the selected text, or turn underlining on or off                                                                         |
| ⌘ + t         | Show or hide the Fonts window                                                                                                      |
| ⌘ + d         | Select the Desktop folder from within an Open dialog or Save dialog                                                                |
| ⌃ + ⌘ + d     | Show or hide the definition of the selected word                                                                                   |
| ⇧ + ⌘ + :     | Display the Spelling and Grammar window                                                                                            |
| ⌘ + ;         | Find misspelled words in the document                                                                                              |
| ⌥ + Delete    | Delete the word to the left of the insertion point                                                                                 |
| ⌃ + h         | Delete the character to the left of the insertion point. Or use Delete                                                             |
| ⌃ + d         | Delete the character to the right of the insertion point                                                                           |
| Fn + Delete   | Forward delete on keyboards that don't have a Forward Delete key                                                                   |
| ⌃ + k         | Delete the text between the insertion point and the end of the line or paragraph                                                   |
| Fn + ↑        | Page Up: Scroll up one page                                                                                                        |
| Fn + ↓        | Page Down: Scroll down one page.                                                                                                   |
| Fn + ←        | Home: Scroll to the beginning of a document.                                                                                       |
| Fn + →        | End: Scroll to the end of a document.                                                                                              |
| ⌘ + ↑         | Move the insertion point to the beginning of the document                                                                          |
| ⌘ + ↓         | Move the insertion point to the end of the document.                                                                               |
| ⌘ + ←         | Move the insertion point to the beginning of the current line.                                                                     |
| ⌘ + →         | Move the insertion point to the end of the current line.                                                                           |
| ⌥ + ←         | Move the insertion point to the beginning of the previous word                                                                     |
| ⌥ + →         | Move the insertion point to the end of the next word                                                                               |
| ⇧ + ⌘ + ↑     | Select the text between the insertion point and the beginning of the document                                                      |
| ⇧ + ⌘ + ↓     | Select the text between the insertion point and the end of the document                                                            |
| ⇧ + ⌘ + ←     | Select the text between the insertion point and the beginning of the current line                                                  |
| ⇧ + ⌘ + →     | Select the text between the insertion point and the end of the current line                                                        |
| ⇧ + ↑         | Extend text selection to the nearest character at the same horizontal location on the line above                                   |
| ⇧ + ↓         | Extend text selection to the nearest character at the same horizontal location on the line below                                   |
| ⇧ + ←         | Extend text selection one character to the left                                                                                    |
| ⇧ + →         | Extend text selection one character to the right                                                                                   |
| ⌥ + ⇧ + ↑     | Extend text selection to the beginning of the current paragraph, then to the beginning of the following paragraph if pressed again |
| ⌥ + ⇧ + ↓     | Extend text selection to the end of the current paragraph, then to the end of the following paragraph if pressed again             |
| ⌥ + ⇧ + ←     | Extend text selection to the beginning of the current word, then to the beginning of the following word if pressed again           |
| ⌥ + ⇧ + →     | Extend text selection to the end of the current word, then to the end of the following word if pressed again                       |
| ⌃ + a         | Move to the beginning of the line or paragraph                                                                                     |
| ⌃ + e         | Move to the end of a line or paragraph                                                                                             |
| ⌃ + f         | Move one character forward                                                                                                         |
| ⌃ + b         | Move one character backward                                                                                                        |
| ⌃ + l         | Center the cursor or selection in the visible area                                                                                 |
| ⌃ + p         | Move up one line                                                                                                                   |
| ⌃ + n         | Move down one line                                                                                                                 |
| ⌃ + o         | Insert a new line after the insertion point                                                                                        |
| ⌃ + t         | Swap the character behind the insertion point with the character in front of the insertion point                                   |
| ⌘ + {         | Left align                                                                                                                         |
| ⌘ + }         | Right align                                                                                                                        |
| ⇧ + ⌘ + \|    | Center align                                                                                                                       |
| ⌥ + ⌘ + f     | Go to the search field                                                                                                             |
| ⌥ + ⌘ + t     | Show or hide a toolbar in the app                                                                                                  |
| ⌥ + ⌘ + c     | Copy Style: Copy the formatting settings of the selected item to the Clipboard                                                     |
| ⌥ + ⌘ + v     | Paste Style: Apply the copied style to the selected item                                                                           |
| ⌥ + ⇧ + ⌘ + v | Paste and Match Style: Apply the style of the surrounding content to the item pasted within that content                           |
| ⌥ + ⌘ + i     | Show or hide the inspector window                                                                                                  |
| ⇧ + ⌘ + p     | Page setup: Display a window for selecting document settings                                                                       |
| ⇧ + ⌘ + s     | Display the Save As dialog, or duplicate the current document                                                                      |
| ⇧ + ⌘ + (-)   | Decrease the size of the selected item                                                                                             |
| ⇧ + ⌘ + (+)   | Increase the size of the selected item                                                                                             |
| ⌘ + =         | performs the same function                                                                                                         |
| ⇧ + ⌘ + ?     | Open the Help menu                                                                                                                 |
