# Zero Trust

Zero Trust is a security concept and framework that assumes no level of trust by default for any user, device, or network component, regardless of whether they are inside or outside the organization's network perimeter. It emphasizes the need for strict access controls and authentication measures at all levels, such as verifying user identity, device security posture, and continuously monitoring user activities. Zero Trust aims to enhance overall security posture and protect against internal and external threats by minimizing potential attack surfaces and adopting a more granular and dynamic approach to security.

## Zero Trust Network Access (ZTNA)

Zero Trust Network Access (ZTNA) is a specific implementation of Zero Trust principles that focuses on providing secure access to internal resources and applications for authorized users, regardless of their location or the network they are connecting from.

[Learn more](../networking/zerotrust-networkaccess.md)
