# Twisted Pair Cables Cheat-Sheet
## Cable Types

### Unshielded Twisted Pair (UTP)

As the title states, a UTP cable has no shielding. This is the most used and most basic type of cable. The cable contains pairs of wires twisted together to help reduce and prevent electromagnetic interference.

### Shielded Twisted Pair (STP)

STP cables are similar to UTP cables, where the wires are twisted together and then wrapped with a shielding or screening material which consits of foil wrapping or a copper braid jacket.

### Foil Twisted Pair (FTP)

With FTP cables, each twisted pair of cables is wrapped in a shielding of foil to protect the cable from EMI and crosstalk.

### Shielded Foil Twisted Pair (S/FTP)

A cable that is classified as S/FTP or Shielded Foil Twisted Pair is a combination of both FTP and STP shielding. The wires inside the cable are twisted and then shielded with a foil wrapping, then the 4-pair grouping of foiled wires are shielded by a wrapping of either foil or a flexible braided screening. This provides the highest level of protection against EMI and crosstalk.

## Wiring

### TIA/EIA 568A Wiring

| PIN | COLOR | COLOR-TEXT|
| ---|---|---|
| 1 | <span style="color:green">█</span>█<span style="color:green">█</span>█<span style="color:green">█</span>█ | White and Green|
| 2 | <span style="color:green">██████</span> | Green|
| 3 | <span style="color:orange">█</span>█<span style="color:orange">█</span>█<span style="color:orange">█</span>█ | White and Orange|
| 4 | <span style="color:blue">██████</span> | Blue|
| 5 | <span style="color:blue">█</span>█<span style="color:blue">█</span>█<span style="color:blue">█</span>█ | White and Blue|
| 6 | <span style="color:orange">██████</span> | Orange|
| 7 | <span style="color:brown">█</span>█<span style="color:brown">█</span>█<span style="color:brown">█</span>█ | White and Brown|
| 8 | <span style="color:brown">██████</span> | Brown|

### TIA/EIA 568B Wiring

| PIN | COLOR                                                                                                        | COLOR-TEXT       |
| --- | ------------------------------------------------------------------------------------------------------------ | ---------------- |
| 1   | <span style="color:orange">█</span>█<span style="color:orange">█</span>█<span style="color:orange">█</span>█ | White and Orange |
| 2   | <span style="color:orange">██████</span>                                                                     | Orange           |
| 3   | <span style="color:green">█</span>█<span style="color:green">█</span>█<span style="color:green">█</span>█    | White and Green  |
| 4   | <span style="color:blue">██████</span>                                                                       | Blue             |
| 5   | <span style="color:blue">█</span>█<span style="color:blue">█</span>█<span style="color:blue">█</span>█       | White and Blue   |
| 6   | <span style="color:green">██████</span>                                                                      | Green            |
| 7   | <span style="color:brown">█</span>█<span style="color:brown">█</span>█<span style="color:brown">█</span>█    | White and Brown  |
| 8   | <span style="color:brown">██████</span>                                                                      | Brown            |

## Categories

| CATEGORY   | MHz     | Speed                 |
| ---------- | ------- | --------------------- |
| CAT 3 UTP  | 16MHz   | 10Mps up to 100m      |
| CAT 4 UTP  | 20MHz   | 16Mps up to 100m      |
| CAT 5 UTP  | 100MHz  | 100Mbps up to 100m    |
| CAT 5e UTP | 100MHz  | 1000Mbps up to 100m   |
| CAT 5e STP | 100MHz  | 1000Mbps up to 100m   |
| CAT 6 UTP  | 250MHz  | 10Gbps over to 33-55m |
| CAT 6a STP | 500MHz  | 10Gbps over 100m      |
| CAT 7 STP  | 600MHz  | 10Gbps over 100m      |
| CAT 7a STP | 1000MHz | 10Gbps over 100m      |
| CAT 8 STP  | 2000MHz | 25/40Gps up to 30m    |
